Index Page bodvar_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void bodvar_c ( SpiceInt           body,
                       ConstSpiceChar   * item,
                       SpiceInt         * dim,
                       SpiceDouble      * values )
#### Abstract
       Deprecated: This routine has been superseded by bodvcd_c and
       bodvrd_c.  This routine is supported for purposes of backward
       compatibility only.

       Return the values of some item for any body in the
       kernel pool.
#### Required_Reading
       KERNEL
#### Keywords
       CONSTANTS
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       body       I   ID code of body.
       item       I   Item for which values are desired. ("RADII",
                      "NUT_PREC_ANGLES", etc. )
       dim        O   Number of values returned.
       values     O   Values.
#### Detailed_Input
       body       is the ID code of the body for which ITEM is
                  requested. Bodies are numbered according to the
                  standard NAIF numbering scheme.

       item       is the item to be returned. Together, the body and
                  item name combine to form a variable name, e.g.,

                        "BODY599_RADII"
                        "BODY401_POLE_RA"
#### Detailed_Output
       dim        is the number of values associated with the variable.

       values     are the values associated with the variable.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       None.
#### Examples
       The call

            SpiceInt       body;
            SpiceInt       dim;
            SpiceChar    * item;
            SpiceDouble    value[10];

            body = 399;
            item = "RADII";

            bodvar_c ( body, item, &dim, value );

       returns the dimension and values associated with the variable
       "BODY399_RADII", for example,

            dim      is 3
            value[0] is 6378.140
            value[1] is 6378.140
            value[2] is 6356.755
#### Restrictions
       1) If the requested item is not found, the error
          SPICE(KERNELVARNOTFOUND) is signalled.
#### Literature_References
       1) Refer to the SPK required reading file for a complete list of
          the NAIF integer ID codes for bodies.
#### Author_and_Institution
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
       E.D. Wright     (JPL)
#### Version
       -CSPICE Version 2.0.4, 19-MAY-2010 (BVS)

           Index lines now states that this routine is deprecated.

       -CSPICE Version 2.0.3, 27-OCT-2005 (NJB)

           Routine is now deprecated.

       -CSPICE Version 2.0.2, 08-JAN-2004 (EDW)

           Trivial typo corrected.

       -CSPICE Version 2.0.1, 08-FEB-1998 (EDW)

           Corrected and clarified header entries.

       -CSPICE Version 2.0.0, 06-JAN-1998 (NJB)

           Input argument item was changed to type ConstSpiceChar *.

           References to C2F_CreateStr_Sig were removed; code was
           cleaned up accordingly.  String checks are now done using
           the macro CHKFSTR.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)
#### Index_Entries
       DEPRECATED fetch constants for a body from the kernel pool
       DEPRECATED physical constants for a body
#### Link to routine bodvar_c source file bodvar_c.c

    Wed Jun  9 13:05:19 2010